List

Lists all of a single user’s orders.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🔐

Authentication

✔️ Application API Scope

✔️ Storefront API Scope (including with trust_level: recognized)

Note: Application API Scope with Bulk Operations permission is required to list orders for more than one customer.

Response Body Definitions

NameTypeDescriptionExample
merchantstringMerchant ID"275dbe1d77f34aca968fb75a8dbb4c82"
customerstringCustomer ID"11100-C01"
paymentstringPayment record ID"25e4d2761d294dd48efd96fdf668a2d9"
shipping_addressstringShipping address record ID"03197d2512904301aaed774a256e71c8"
public_idstringOrder Public ID"f9cb2f93e1c845eb9de9eff46ddb3cbf"
currency_codestringThree letter ISO currency code"USD"
tax_totalstringTax applied to order"22.44"
shipping_totalstringShipping cost applied to order"0.00"
discount_totalstringDiscount applied to order"15.00"
totalstringTotal price of order"undefined"
createdstringDate time the order was created"2017-02-29 00:00:00"
updatedstringDate time the order was last modified"2025-02-29 00:00:00"
placestringDate for order placement"2017-02-29 00:00:00"
cancelledstring

Date of cancellation;

'null' = not cancelled

"null"
triesintegerNumber of order attempts1
generic_error_countinteger0
statusintegerOrder status1
typestringOrder Type1
order_merchant_idstringOrder ID in your system"301617"
rejected_messagestringRejection message from merchant""
extra_datastringRaw JSON string that should be JSON.parse() as key/value store for any extra information"{"some": "extra", "fields": "here"}"
lockedbooleanfalse
oos_free_shippingbooleanfalse

When the query param ?include_has_plan=true is provided, each order object in the response will include a has_plan boolean field indicating whether the order contains at least one product with product_type=plan.

Query Params
int32

Order status

string

Subscription ID

string

Customer ID (only available in API user scope)

date

Order's place date exact match (yyyy-mm-dd)

date

Order's place date later or equal than parameter (yyyy-mm-dd)

date

Order's place date sooner or equal than parameter (yyyy-mm-dd)

date

Orders whose created date matches exactly (yyyy-mm-dd)

date

Orders whose created datetime is greater than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)

date

Orders whose created datetime is less than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)

date

Orders whose updated date matches exactly (yyyy-mm-dd). On order creation it is populated with same value as created field.

date

Orders whose updated datetime is greater than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)

date

Orders whose updated datetime is less than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)

boolean
Defaults to false

If true, each order object in the response includes a has_plan field indicating whether that order contains at least one product with product_type=plan

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json